﻿.contentview-header-container {
    margin: 1rem 0;
}

.contentview-header-title {
    font-weight: 800;
    font-size: 1.6rem;
    margin: 0;
}

.contentview-header-toptitle {
    font-size: 1rem;
    font-weight: 200;
    margin: 0;
}


.contentview-header-brief {
    font-size: 1rem;
    text-align: justify;
}

.contentview-header-info {
    display: flex;
    justify-content: end;
    align-items: center;
    margin-top: 1rem;
}

.contentview-header-date {
    font-size: .9rem;
}

.contentview-header-print-icon {
    font-size: 1.5rem;
}

.contentview-content-mainimage-holder {
    width: 100%;
    margin: 0 0 1rem;
}

.contentview-content-mainimage {
    width: 100%;
    border-radius: .4rem;
    aspect-ratio: 16/9;
    object-fit: cover;
}

.contentview-content-container {
    border-bottom: 1px var(--nx-box-soft-bordercolor, whitesmoke) solid;
    margin: 1rem 0 1rem;
}

.contentview-content-attachments {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 1rem 0;
}

    .contentview-content-attachments a {
        max-width: 100%;
        margin: .1rem;
    }

    .contentview-content-attachments img {
        width: 100%;
        max-width: 15rem;
        border-radius: .5rem;
    }

    .contentview-content-attachments:empty {
        display: none;
    }


.contentview-content-body {
    text-align: justify;
    letter-spacing: -.01rem;
    padding: 0 0 1rem 0;
}

    .contentview-content-body p {
        margin: .5rem 0;
        font-size: .95rem;
    }

.contentview-content-keyword {
    list-style-type: none;
    padding: 0;
}

    .contentview-content-keyword li {
        display: inline-block;
        padding: .2rem 1rem;
        margin: 0 0 .3rem .3rem;
        background-color: var(--nx-box-soft-backcolor, whitesmoke);
        border-radius: .8rem;
        font-weight: 400;
        font-size: .9rem;
    }

.contentview-footer-container {
    display: flex;
    padding: 1rem 0;
}

.contentview-footer-thumbimagehoder {
    width: 25%;
    padding: 0 .5rem;
}

.contentview-footer-thumbimage {
    width: 100%;
    border-radius: .4rem;
    aspect-ratio: 1;
    object-fit: cover;
}

.contentview-footer-body {
    width: 75%;
    padding: 0 .5rem;
}

    .contentview-footer-body p {
        margin: 0 0 .2rem;
        font-size: .9rem;
        font-weight: 300;
    }

.contentview-footer-rate-container {
    display: flex;
    align-items: start;
    justify-content: start;
    margin: 1rem 0;
    flex-direction: column;
}

.contentview-rate-holder {
    display: flex;
    justify-content: start;
    align-items: center;
}

.contentview-rate-info {
    font-size: .9rem;
    margin: 0 .75rem;
}

.contentview-rate-msg {
    font-size: .9rem;
    margin: 0;
}

.contentview-rate-star {
    font-size: 1.3rem;
    color: orange;
    transition: .3s ease all;
}

    .contentview-rate-star.rate-wait {
        font-size: 1.3rem;
        color: silver;
    }

.contentview-content-keyword {
    list-style-type: none;
    padding: 0;
}

    .contentview-content-keyword li {
        display: inline-block;
        padding: .2rem 1rem;
        margin: 0 0 .3rem .3rem;
        background-color: var(--nsop-theme-backcolor,whitesmoke);
        border-radius: .8rem;
        font-weight: 400;
        font-size: .9rem;
    }

        .contentview-content-keyword li a {
            color: var(--nsop-theme-palette-primary-color, navy) !important;
        }

@media screen and (max-width:575px) {
    .contentview-footer-container {
        flex-direction: row-reverse;
    }

    .contentview-content-body p {
        font-size: .9rem;
    }

    .contentview-footer-thumbimagehoder {
        width: 35%;
    }

    .contentview-footer-body {
        width: 65%;
    }

    .contentview-rate-holder {
        flex-direction: column;
        align-items: start;
    }

    .contentview-rate-info {
        margin: 0 0 1rem 0;
    }
}

@media print {
    .contentview-header-toptitle {
        font-size: 10pt;
        font-weight: 400;
    }

    .contentview-header-title {
        font-size: 13pt;
    }

    .contentview-header-brief {
        font-size: 10pt;
    }

    .contentview-content-mainimage {
        border-radius: 2mm;
        aspect-ratio: 1.5;
        object-fit: cover;
        width: 50%;
        float: left;
        margin: 0 5mm 0 0;
    }

    .contentview-header-date {
        font-size: 10pt;
    }

    .contentview-content-body h1 {
        font-weight: 800;
        font-size: 13pt;
    }

    .contentview-content-body h2 {
        font-weight: 600;
        font-size: 12pt;
    }

    .contentview-content-body h3 {
        font-weight: 600;
        font-size: 11pt;
    }

    .contentview-content-body p {
        font-size: 10pt;
    }

    .contentview-footer-body p {
        font-size: 9pt !important;
    }

    .contentview-rate-info {
        font-size: 9pt;
    }

    .contentview-footer-thumbimagehoder {
        display: none;
    }
}
